Get Title Details
Titles are the championship belts held by world champion boxers. Each title is linked to an organization and a weight class division via organization_id and division_id.
Endpoints
1. List all titles:
- Endpoint URL:
https://boxing-data-api.p.rapidapi.com/v2/titles/ - Description: Retrieves a list of available titles, including the name, organization and division.
2. Get a specific title:
- Endpoint URL:
https://boxing-data-api.p.rapidapi.com/v2/titles/<title_id> - Description: Retrieves detailed information about a specific title.
List all titles
The following query params can be used to filter the titles returned
| Query Param | Description | Example | Default | Required |
|---|---|---|---|---|
organization_id | The organization that sanctions the title | 6715193e0ad13034eb88265d | Null | No |
division_id | The division (weight class) the title belongs to | 671513530ad13034eb88265a | Null | No |
curl --request GET --url https://boxing-data-api.p.rapidapi.com/v2/titles/ --header 'x-rapidapi-key: [Your RapidAPI Key]'axios.get('https://boxing-data-api.p.rapidapi.com/v2/titles', { headers: { 'X-RapidAPI-Key': '[Your RapidAPI Key]' }}).then(response => { console.log(response.data);}).catch(error => { console.error(error);});import requests
url = "https://boxing-data-api.p.rapidapi.com/v2/titles"headers = { 'X-RapidAPI-Key': '[Your RapidAPI Key]'}
response = requests.get(url, headers=headers)print(response.json())Example response:
{ "metadata": { "timestamp": "2026-02-27T12:00:00.000000+00:00" }, "pagination": { "page": 1, "items": 2, "total_pages": 1, "total_items": 2 }, "error": {}, "data": [ { "name": "The Ring Heavyweight Champion", "id": "67153e83af69bb50508b78f9", "division": { "name": "Heavyweight", "weight_lb": null, "weight_kg": null, "id": "671513530ad13034eb88265a" }, "organization": { "name": "The Ring Magazine", "slug": "the-ring-magazine", "id": "6715193e0ad13034eb88265c" } } ]}Get specific title
To get a single title, append the title ID to the URL: /v2/titles/<title_id>
Example response:
{ "metadata": { "timestamp": "2026-02-27T12:00:00.000000+00:00" }, "pagination": { "page": 1, "items": 1, "total_pages": 1, "total_items": 1 }, "error": {}, "data": { "name": "WBA World Heavyweight Champion", "id": "67153e83af69bb50508b7947", "division": { "name": "Heavyweight", "weight_lb": null, "weight_kg": null, "id": "671513530ad13034eb88265a" }, "organization": { "name": "World Boxing Association (WBA)", "slug": "world-boxing-association", "id": "6715193e0ad13034eb88265d" } }}